CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

[OpenFOAM.org] build paraFoam on Debian stretch

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   May 14, 2018, 08:52
Default build paraFoam on Debian stretch
  #1
New Member
 
Gianluca
Join Date: Sep 2011
Location: Firenze, Italy
Posts: 11
Rep Power: 11
ninoleum is on a distinguished road
Hi all,
I have been playng to install OpenFOAM and ParaView on a Debian Stretch with amd64 arch: I tried with OpenFOAM 5.0 and ParaView-5.4. source distribution. At the end both of them where successfully built. Tryiing finally to build paraFoam (PVReaders tree) the compilation failed mostly, I believe, because of crappy wmake environment variables for include files.
Afterwards I realized that now Debian Stretch offers packaged version of OpenFOAM (4.0) and ParaView (5.1.2) so I successfully installed both and they both work as expected. I can build a mesh with SHM and visualize it with foamToVTK and paraview. Unfortunately openfoam package is missing the so useful paraFoam utility which many times has helped me to solve errors with blockMeshDict with the powerful option '-block'.

How can I overcome this issue?

Thank you for your help.

Regards

Gianluca
ninoleum is offline   Reply With Quote

Old   May 28, 2018, 09:26
Default paraFoam missing from openfoam debian package
  #2
New Member
 
Gianluca
Join Date: Sep 2011
Location: Firenze, Italy
Posts: 11
Rep Power: 11
ninoleum is on a distinguished road
Quote:
Originally Posted by ninoleum View Post
Hi all,
I have been playng to install OpenFOAM and ParaView on a Debian Stretch with amd64 arch: I tried with OpenFOAM 5.0 and ParaView-5.4. source distribution. At the end both of them where successfully built. Tryiing finally to build paraFoam (PVReaders tree) the compilation failed mostly, I believe, because of crappy wmake environment variables for include files.
Afterwards I realized that now Debian Stretch offers packaged version of OpenFOAM (4.0) and ParaView (5.1.2) so I successfully installed both and they both work as expected. I can build a mesh with SHM and visualize it with foamToVTK and paraview. Unfortunately openfoam package is missing the so useful paraFoam utility which many times has helped me to solve errors with blockMeshDict with the powerful option '-block'.

How can I overcome this issue?

Thank you for your help.

Regards

Gianluca

I'm wondering no debianized is using OpenFOAM?
I still did not find any workaround.
please help if you can

Gianluca
ninoleum is offline   Reply With Quote

Old   May 31, 2018, 09:06
Default
  #3
Retired Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,956
Blog Entries: 45
Rep Power: 122
wyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to all
Quick answer: Ubuntu is based on Debian, therefore the installation instructions for Ubuntu should work on Debian, as long as the Debian-Ubuntu versions are related.

As for the specific build problem you are having, it would make it a lot easier to diagnose the problem if you had provided the build output. You can do this by running:
Code:
cd $FOAM_UTILITIES/postProcessing/graphics/PVReaders
./Allwclean
./Allwmake > log.make 2>&1
pwd
gzip < log.make > log.make.gz
then attaching the file "log.make.gz" to your next post.

Furthermore, knowing which installation steps you've followed would also help diagnose what might be missing.

As for the "openfoam" Deb package that Debian provides, that was done without the suggestions given by the OpenFOAM Foundation, which might explain the problem you're having with that package.
__________________
wyldckat is offline   Reply With Quote

Reply

Tags
build, debian, parafoam, stretch

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
SU2 Parallel Build Install Issue jclegg SU2 4 Yesterday 04:28
[OpenFOAM.com] paraFoam cannot open due to Qt issues - [Solved/Information] u2berggeist OpenFOAM Installation 2 July 2, 2018 17:03
Building from Source on Windows using Cygwin64 ericthefatguy SU2 2 May 12, 2015 18:23
paraFoam Build Issues vbchris OpenFOAM Installation 1 September 13, 2014 15:23
paraFoam "Fatal Error" on Debian Wheezy/Sid ned800 OpenFOAM Installation 3 October 24, 2012 11:26


All times are GMT -4. The time now is 20:16.